juddi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pasquale Campitiello" <pas.campitie...@gmail.com>
Subject Fwd: Link jUDDI 0.9rc4 to Synapse 1.2
Date Mon, 01 Dec 2008 19:50:55 GMT
Hi,

I'm an italian student. I'm trying to link Apache Synapse and jUDDI 0.9rc4.
In order to implement the interface to link them I have to know how jUDDI
"looks" to WSDL, how jUDDI can provide UDDI methods etc..
I configured correctly jUDDI: I can see the "Happy jUDDI!" page without
errors.
But I have a common problem: in the jUDDI console when I click get_authToken
to obtain an authentication token, and I insert my user and cred I get
always the same error:

<?xml version="1.0" encoding="utf-8" ?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/
">
<SOAP-ENV:Header/>
<SOAP-ENV:Body>
<SOAP-ENV:Fault>
<faultcode>SOAP-ENV:Server</faultcode>
<faultstring>Fault string, and possibly fault code, not set</faultstring>
</SOAP-ENV:Fault>
</SOAP-ENV:Body>
</SOAP-ENV:Envelope>

I tried every possible combination of user and cred ("juddi" + "juddi",
"juddi" + "";    "juddi" + "123456";    "jdoe" + "",    ecc.), but everytime
I got this SOAP response. To configure jUDDI I followed the official
document
http://svn.apache.org/viewvc/webservices/juddi/trunk/docs/Getting-Started.pdf?revision=547750
so my configuration file are exactly like specified in the document.

Googling I read about changing the JDK version. I tried JDK 5 update 10, JDK
5 update 16, JDK + JEE 5 update 10, but nothing changed, and besides with
this versions I can't run Synapse. Now with JDK + JEE 6 update 10, I can run
Synapse but I'm still blocked with jUDDI.Someone can help me?

Thanks

Pasquale

Mime
View raw message